# registerOpenCuration

## API

<table><thead><tr><th width="160">API</th><th>/v2/lens/open_curation/register</th></tr></thead><tbody><tr><td>Title</td><td>registerOpenCuration</td></tr><tr><td>Description</td><td>After the curators complete the curation(i.e., quote the target publication on Lens), they must bind the Quoted Publication Id and Bid Index.<br>So that Tako can verify that the curators have completed the curation task.<br>This method is used to perform the binding.</td></tr><tr><td>Authorization</td><td>Not required</td></tr><tr><td>Method</td><td><code>POST</code></td></tr></tbody></table>

## Request Parameters

<table><thead><tr><th width="113">Name</th><th width="82">Type</th><th width="110">Required</th><th>Description</th></tr></thead><tbody><tr><td>index</td><td>int</td><td>YES</td><td>The index of bid</td></tr><tr><td>pubId</td><td>string</td><td>YES</td><td>The id of Quoted Publication, such as 0x8d11-0x07-DA-1cdac4db</td></tr></tbody></table>

## Request and Response Example

### Request

#### cURL Code

```bash
curl -X 'POST' \
  'https://api.tako.so/v2/lens/open_curation/register' \
  -H 'accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
    "index": 17,
    "pubId": "0xb4-0x08-DA-67cfa258"
  }'
```

#### Request URL

`https://api.tako.so/v2/lens/open_curation/register`

### Response

```
{
  "status": "success",
  "data": "register lens curation succeed"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tako.so/monetization/open-curation/for-lens-dapp/apis/registeropencuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
